Subject: [bug#60663] [PATCH] gnu: linux-libre: Update to 6.1.

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 11 Jan 2023 14:17:06 -0500

Hi Leo,

Leo Famulari <[email-masked]> writes:

> * gnu/packages/linux.scm (linux-libre-version, linux-libre-gnu-revision,
> linux-libre-pristine-source, linux-libre-source, linux-libre): Use linux-libre
> 6.1.
> ---
>  gnu/packages/linux.scm | 10 +++++-----
>  1 file changed, 5 insertions(+), 5 deletions(-)
>
> diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
> index 516f8c8507..933af66904 100644
> --- a/gnu/packages/linux.scm
> +++ b/gnu/packages/linux.scm
> @@ -1089,11 +1089,11 @@ (define-public linux-libre-6.0
>                         "aarch64-linux" "powerpc64le-linux" "riscv64-linux")
>                       #:configuration-file kernel-config))
>  
> -(define-public linux-libre-version         linux-libre-6.0-version)
> -(define-public linux-libre-gnu-revision    linux-libre-6.0-gnu-revision)
> -(define-public linux-libre-pristine-source linux-libre-6.0-pristine-source)
> -(define-public linux-libre-source          linux-libre-6.0-source)
> -(define-public linux-libre                 linux-libre-6.0)
> +(define-public linux-libre-version         linux-libre-6.1-version)
> +(define-public linux-libre-gnu-revision    linux-libre-6.1-gnu-revision)
> +(define-public linux-libre-pristine-source linux-libre-6.1-pristine-source)
> +(define-public linux-libre-source          linux-libre-6.1-source)
> +(define-public linux-libre                 linux-libre-6.1)

I get from this that the pristine source and deblob scripts had already
been added?

What about the changes to the kconfig files; don't they change between
releases?

-- 
Thanks,
Maxim